#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/times.h>
#include <signal.h>
#include <time.h>
#include <sys/time.h>

#include "riscos.h"
#include "module-mimemap.h"

bool MimeMap::SWI (unsigned int swinum, bool xbit)
{
  switch (swinum)
    {
    case MimeMap_Translate: Translate (); break;
    default:
      return false;
      break;
    }
  return true;
}

void MimeMap::Translate (void)
{
  // Flag error until we can handle this.
  SET_V ();
}
